[OpenSmalltalk/opensmalltalk-vm] 08af42: .travis_install.sh update

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[OpenSmalltalk/opensmalltalk-vm] 08af42: .travis_install.sh update

GitHub
 
  Branch: refs/heads/Cog
  Home:   https://github.com/OpenSmalltalk/opensmalltalk-vm
  Commit: 08af4286b7b7497e2e1cfb4847bab0986685d1a0
      https://github.com/OpenSmalltalk/opensmalltalk-vm/commit/08af4286b7b7497e2e1cfb4847bab0986685d1a0
  Author: AlistairGrant <[hidden email]>
  Date:   2018-05-15 (Tue, 15 May 2018)

  Changed paths:
    M .travis_install.sh

  Log Message:
  -----------
  .travis_install.sh update

Run apt-get update to ensure we are using the current packages.


  Commit: e6be76963369703b8d15b11f4ef900a89d48435b
      https://github.com/OpenSmalltalk/opensmalltalk-vm/commit/e6be76963369703b8d15b11f4ef900a89d48435b
  Author: AlistairGrant <[hidden email]>
  Date:   2018-05-15 (Tue, 15 May 2018)

  Changed paths:
    M .travis.yml

  Log Message:
  -----------
  .travis.yml allow apt-get update


  Commit: 1c1fcee32a86ecc434cbd6abca90632128a3bbcd
      https://github.com/OpenSmalltalk/opensmalltalk-vm/commit/1c1fcee32a86ecc434cbd6abca90632128a3bbcd
  Author: AlistairGrant <[hidden email]>
  Date:   2018-05-15 (Tue, 15 May 2018)

  Changed paths:
    M .travis_install.sh

  Log Message:
  -----------
  .travis_install.sh apt-get is linux specific


  Commit: d0c7f21211f5573d61ebc7d85871ca1a53adf2ee
      https://github.com/OpenSmalltalk/opensmalltalk-vm/commit/d0c7f21211f5573d61ebc7d85871ca1a53adf2ee
  Author: akgrant43 <[hidden email]>
  Date:   2018-05-16 (Wed, 16 May 2018)

  Changed paths:
    M .travis.yml
    M .travis_install.sh

  Log Message:
  -----------
  Merge pull request #261 from akgrant43/travis_update

Run "apt-get update" on debian platforms to ensure the package cache is up to date, and avoid errors similar to:

E: Failed to fetch http://package.deb 404 Not Found [IP: a.b.c.d]

This issue was documented on the Travis CI status page (https://www.traviscistatus.com/incidents/fvch7h32ncf1) on May 9:

"We have changed the build script to not default to running apt-get update for the time being, unless we're able to auto-detect that your build uses apt-get install. If your build requires it in other ways, please do opt in via .travis.yml. The build log gives instructions on how to opt in."


Compare: https://github.com/OpenSmalltalk/opensmalltalk-vm/compare/858bed28ed46...d0c7f21211f5
      **NOTE:** This service been marked for deprecation: https://developer.github.com/changes/2018-04-25-github-services-deprecation/

      Functionality will be removed from GitHub.com on January 31st, 2019.